พบช่องโหว่ร้ายแรงบน MariaDB และ MySQL ซึ่งส่งผลให้ผู้โจมตีนั้นสามารถข้ามผ่านการล็อกอินได้ (bypass authentication) โดยช่องโหว่นี้มีผลกับ MariaDB และ MySQL เวอร์ชัน 5.1.61, 5.2.11, 5.3.5, 5.5.22 และในเวอร์ชันก่อนหน้านี้ด้วย ซึ่งช่องโหว่นี้ได้รับการประกาศเป็น CVE หมายเลข 2012-2122 แล้ว

โดยบั๊กนี้อยู่ที่การ compare password ทำให้ password “อะไรก็ได้” สามารถผ่านได้หมด มีโอกาสเกิดได้ 1 ใน 256 ครั้ง แสดงว่าถ้าล็อกอินถี่ๆ หลายร้อยครั้งจะมีสักครั้งที่ผ่านไปเลยโดยไม่สนใจ password โดยบั๊กนี้ไม่ได้เกิดกับทุก build ตอนนี้คาดว่ามีปัญหาเฉพาะการคอมไพล์ที่ใช้ memcmp เวอร์ชันลินุกซ์เท่านั้น

สำหรับทางแก้นั้นคือการป้องกันการเข้าสู่ตัวฐานข้อมูลโดยตรงจากภายนอกรวมถึงการอัพเดตเวอร์ชันครับ

ที่มา – Seclists via The Hacker Newsmysql.png

ข่าวจาก Blognone โดย pe3z



เนื้อหาที่เกี่ยวข้อง

1. Cyber Insurance การประกันภัยความเสี่ยงภัยไซเบอร์

2. พบช่องโหว่ขั้นร้ายแรง Zerologon บน Windows รุนแรงระดับ 10/10

3. Maze ransomware ใช้วิธีเดียวกับ Ragnar Locker เลี่ยงการตรวจจับ

4. All@Secure ทำอะไรได้บ้าง เหมาะกับธุรกิจแบบไหน

5. โรงพยาบาลในเครือ UHS สหรัฐฯ โดน Ransomware โจมตี